LargeObject
Date: 2010-07-30

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.postgresql.pljava.internal
Class LargeObject

    java.lang.Object
      org.postgresql.pljava.internal.JavaWrapper
          org.postgresql.pljava.internal.LargeObject

    public class LargeObject

extends JavaWrapper

The `LargeObject` correspons to the internal PostgreSQL `LargeObjectDesc`.

Field Summary
`static int` | `IFS_RDLOCK` Flag returned by `create(int)` and `open(org.postgresql.pljava.internal.Oid, int)`
`static int` | `IFS_WRLOCK` Flag returned by `create(int)` and `open(org.postgresql.pljava.internal.Oid, int)`
`static int` | `INV_READ` Read mode flag to be passed to `create(int)` and `open(org.postgresql.pljava.internal.Oid, int)`
`static int` | `INV_WRITE` Write mode flag to be passed to `create(int)` and `open(org.postgresql.pljava.internal.Oid, int)`
`static int` | `SEEK_CUR` Flag to be passed to `seek(long, int)` denoting that the offset parameter should be treated relative to the current address.
`static int` | `SEEK_END` Flag to be passed to `seek(long, int)` denoting that the offset parameter should be treated relative to the end of the data.
`static int` | `SEEK_SET` Flag to be passed to `seek(long, int)` denoting that the offset parameter should be treated as an absolute address.

Method Summary
`void` | `close()`
`static Oid` | `create(int flags)` Creates a LargeObject handle and returns the `Oid` of that handle.
`static int` | `drop(Oid lobjId)`
`Oid` | `getId()`
`long` | `length()`
`static LargeObject` | `open(Oid lobjId, int flags)`
`int` | `read(byte[] buf)`
`long` | `seek(long offset, int whence)`
`long` | `tell()`
`int` | `write(byte[] buf)`

Methods inherited from class org.postgresql.pljava.internal.JavaWrapper
`_free, finalize, getNativePointer`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INV_WRITE

    public static final int INV_WRITE

  Write mode flag to be passed to `create(int)` and `open(org.postgresql.pljava.internal.Oid, int)`

  See Also:
    Constant Field Values

### INV_READ

    public static final int INV_READ

  Read mode flag to be passed to `create(int)` and `open(org.postgresql.pljava.internal.Oid, int)`

  See Also:
    Constant Field Values

### IFS_RDLOCK

    public static final int IFS_RDLOCK

  Flag returned by `create(int)` and `open(org.postgresql.pljava.internal.Oid, int)`

  See Also:
    Constant Field Values

### IFS_WRLOCK

    public static final int IFS_WRLOCK

  Flag returned by `create(int)` and `open(org.postgresql.pljava.internal.Oid, int)`

  See Also:
    Constant Field Values

### SEEK_SET

    public static final int SEEK_SET

  Flag to be passed to `seek(long, int)` denoting that the offset parameter should be treated as an absolute address.

  See Also:
    Constant Field Values

### SEEK_CUR

    public static final int SEEK_CUR

  Flag to be passed to `seek(long, int)` denoting that the offset parameter should be treated relative to the current address.

  See Also:
    Constant Field Values

### SEEK_END

    public static final int SEEK_END

  Flag to be passed to `seek(long, int)` denoting that the offset parameter should be treated relative to the end of the data.

  See Also:
    Constant Field Values

Method Detail

### create

    public static Oid create(int flags)
                      throws java.sql.SQLException

  Creates a LargeObject handle and returns the `Oid` of that handle.

  Parameters:
    `flags` - Flags to use for creation.
  Returns:
    A Oid that can be used in a call to `open(Oid, int)` or `drop(Oid)`.
  Throws:
    `java.sql.SQLException`

### open

    public static LargeObject open(Oid lobjId,
                                   int flags)
                            throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### close

    public void close()
               throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### drop

    public static int drop(Oid lobjId)
                    throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getId

    public Oid getId()
              throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### length

    public long length()
                throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### seek

    public long seek(long offset,
                     int whence)
              throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### tell

    public long tell()
              throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### read

    public int read(byte[] buf)
             throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### write

    public int write(byte[] buf)
              throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2003, 2004, 2005 TADA AB - Taby Sweden. \ Distributed under the terms shown in COPYRIGHT